libnvme(2)

NAME
enum nvme_pel_rci - This field indicates the persistent event log reporting context

SYNOPSIS
enum nvme_pel_rci {
NVME_PEL_RCI_RCPID_SHIFT ,
NVME_PEL_RCI_RCPIT_SHIFT ,
NVME_PEL_RCI_RCE_SHIFT ,
NVME_PEL_RCI_RSVD_SHIFT ,
NVME_PEL_RCI_RCPID_MASK ,
NVME_PEL_RCI_RCPIT_MASK ,
NVME_PEL_RCI_RCE_MASK ,
NVME_PEL_RCI_RSVD_MASK

};

Constants

NVME_PEL_RCI_RCPID_SHIFT
    Shift amount to get the reporting context port identifier from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RCPIT_SHIFT
    Shift amount to get the reporting context port identifier type from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RCE_SHIFT
    Shift amount to get the reporting context exists from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RSVD_SHIFT
    Shift amount to get the reserved reporting context from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RCPID_MASK
    Mask to get the reporting context port identifier from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RCPIT_MASK
    Mask to get the reporting context port identifier type from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RCE_MASK
    Mask to get the reporting context exists from the struct nvme_persistent_event_log.rci field.

NVME_PEL_RCI_RSVD_MASK
    Mask to get the reserved reporting context from the struct nvme_persistent_event_log.rci field.